http://es.{region}.amazonaws.com/2015-01-01/es/vpcEndpointsCreates an Amazon OpenSearch Service-managed VPC endpoint.
The Amazon Resource Name (ARN) of the domain to grant access to.
Options to specify the subnets and security groups for VPC endpoint. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html" target="_blank"> VPC Endpoints for Amazon Elasticsearch Service Domains</a>.
Unique, case-sensitive identifier to ensure idempotency of the request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://es.{region}.amazonaws.com/2015-01-01/es/vpcEndpoints' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://es.{region}.amazonaws.com/2015-01-01/es/vpcEndpointsCreates an Amazon OpenSearch Service-managed VPC endpoint.
The Amazon Resource Name (ARN) of the domain to grant access to.
Options to specify the subnets and security groups for VPC endpoint. For more information, see <a href="http://docs.aws.amazon.com/elasticsearch-service/latest/developerguide/es-vpc.html" target="_blank"> VPC Endpoints for Amazon Elasticsearch Service Domains</a>.
Unique, case-sensitive identifier to ensure idempotency of the request.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://es.{region}.amazonaws.com/2015-01-01/es/vpcEndpoints' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}